package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.theme.hphy.vo.StatisticsUsageVO;

import java.util.List;
import java.util.Map;

/**
 * @author gao
 * @date 2023/01/06 11:03
 */
public interface HpStatisticsService {

    /**
     * 获取使用情况概览统计信息
     *
     * @param startTime 开始时间
     * @param endTime   结束时间
     * @return
     */
    StatisticsUsageVO getUsageOverviewStatistics(String startTime,
                                                 String endTime);

    /**
     * 统计时间内的指标信息
     *
     * @param startTime 开始时间
     * @param endTime 结束时间
     * @return
     */
    List<Map<String,Object>> countAll4Third(String startTime,
                                            String endTime);


}
